Bug 18497 - RFE: Eject CD before displaying final congrats screen
RFE: Eject CD before displaying final congrats screen
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-06 01:14 EDT by Doug Campbell
Modified: 2007-03-26 23:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-07 23:05:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Campbell 2000-10-06 01:14:42 EDT
After installing boxed rh7.0 system, the final screen displayed is titled
"Congratulations" and requests that you remove any media before rebooting
your new RH7.0 system.  There are two bugs associated with this screen:

a) If install was from cdrom, the cdrom is locked against ejection and
cannot have its media removed while the congrats screen is displayed.  The
installer should either unlock or eject the cd if installation was from cd
as part of "congratulations" processing.

b) After a small waiting period, the system reboots from the congrats
screen automatically, regardless of whether the user has removed the media
or otherwise affirmed that it is OK to reboot.  If media (diskettes/cdrom)
are still in their respective drives, they may interfere with the reboot
process.  The congrats processing should not release the machine for reboot
until the user confirms that all temporary media are removed.
Comment 1 Michael Fulbright 2000-10-06 14:16:25 EDT
Please confirm these problems Brent.
Comment 2 Brent Fox 2000-10-06 15:30:50 EDT
Yes, this is a problem.  The installer will eject the first CD in the middle of
the install and prompts for the second CD.  However, it does not eject the
second cd automatically, nor will it let you eject the CD manually until the
installer has exited completely. Added to feature request list.
Comment 3 Brent Fox 2000-10-06 15:46:37 EDT
We should change the installer to eject the CD when the congratulations screen
is reached.  i.e., before they click the "Exit" button.
Comment 4 Doug Campbell 2000-10-06 16:31:21 EDT
You must also change congratulations screen processing to reboot only after 
some positive action by the user.  A common install practice (by me) is to 
start the process and to check back periodically to see how it is progressing. 
I therefore might not be there when the congrats screen displays and hence will 
have removed neither the created boot (or RH provided install) diskette nor the 
install cdrom.
Comment 5 Brent Fox 2000-10-06 22:56:50 EDT
Ok, actually I should have been more specific in my last post.  I was not able
to reproduce the automatic rebooting problem.  I've never seen anaconda do
this.  Can you reproduce the behavior?
Also, on further experimentation, the CD will automatically eject if you click
the "Finish" button.  The GUI will exit, the CD will eject, and then the machine
will reboot.  
Ok, we should change anaconda so that the CD *should* be automatically be
ejected when you get to the final screen.  If your CD drive is older and doesn't
allow automatic ejection, anaconda should at least unmount the CD so that you
can eject it manually before pressing "Finish."  
However, I let my machine sit for about ten minutes at the final screen, and it
never rebooted on its own.
Comment 6 Doug Campbell 2000-10-09 11:24:25 EDT
I will reinstall RH7 tonight, closely observe my machine's behavior, and report 
back.  

I have noted the behavior you observed during RH shutdown; my cdrom drive 
ejected the installation media.  However, during the bios boot reset phase the 
drive closed again (I assume the drive closes itself when reset).
Comment 7 Brent Fox 2000-11-07 23:05:17 EST
Closing bug due to inactivity.  Please reopen if the problem persists or if you
have more information.

Note You need to log in before you can comment on or make changes to this bug.